Bug 154343 - Rewritng rewritten tree
Rewritng rewritten tree
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
65fixes3-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 13:27 UTC by Jan Lahoda
Modified: 2009-03-16 16:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Test case. (2.20 KB, patch)
2008-12-02 13:33 UTC, Jan Lahoda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2008-12-02 13:27:52 UTC
Rewriting  rewritten trees does not work in some cases, see the attached test case.
Comment 1 Jan Lahoda 2008-12-02 13:33:30 UTC
Created attachment 74403 [details]
Test case.
Comment 2 Jan Lahoda 2008-12-02 15:21:31 UTC
http://hg.netbeans.org/main/rev/00154d06c5b7
Comment 3 Quality Engineering 2008-12-05 05:56:51 UTC
Integrated into 'main-golden', will be available in build *200812050201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/00154d06c5b7
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #154343: correcting rewriting of rewritten trees.
Comment 4 Jiri Prox 2009-01-20 09:57:59 UTC
This bug can cause serious problems when implementing user modules manipulating with java source.
Comment 5 Jiri Prox 2009-02-25 13:09:25 UTC
verified in trunk
Comment 6 Vitezslav Stejskal 2009-02-26 10:09:35 UTC
Transplanted to release65_fixes as http://hg.netbeans.org/release65_fixes/rev/cc51d2b24ca2.
Comment 7 Jiri Prox 2009-03-05 17:17:04 UTC
verified in release65_fixes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo